- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CglMixIntRoundVUB Class Reference

`#include <CglMixedIntegerRounding.hpp>`

List of all members.

## Public Member Functions
| CglMixIntRoundVUB ()
| CglMixIntRoundVUB (const CglMixIntRoundVUB &source)
CglMixIntRoundVUB & | operator= (const CglMixIntRoundVUB &rhs)
| ~CglMixIntRoundVUB ()
int | getVar () const
double | getVal () const
void | setVar (const int v)
void | setVal (const double v)
## Protected Attributes
int | var_
double | val_

## Detailed Description

Definition at line 32 of file CglMixedIntegerRounding.hpp.

## Constructor & Destructor Documentation

CglMixIntRoundVUB::CglMixIntRoundVUB | ( |  | ) | `[inline]`

Definition at line 43 of file CglMixedIntegerRounding.hpp.

CglMixIntRoundVUB::CglMixIntRoundVUB | ( | const CglMixIntRoundVUB & | source | ) | `[inline]`

Definition at line 46 of file CglMixedIntegerRounding.hpp.

References val_, and var_.

CglMixIntRoundVUB::~CglMixIntRoundVUB | ( |  | ) | `[inline]`

Definition at line 61 of file CglMixedIntegerRounding.hpp.

## Member Function Documentation

CglMixIntRoundVUB& CglMixIntRoundVUB::operator= | ( | const CglMixIntRoundVUB & | rhs | ) | `[inline]`

Definition at line 52 of file CglMixedIntegerRounding.hpp.

References val_, and var_.

int CglMixIntRoundVUB::getVar | ( |  | ) | const`[inline]`

Definition at line 64 of file CglMixedIntegerRounding.hpp.

References var_.

double CglMixIntRoundVUB::getVal | ( |  | ) | const`[inline]`

Definition at line 65 of file CglMixedIntegerRounding.hpp.

References val_.

void CglMixIntRoundVUB::setVar | ( | const int | v | ) | `[inline]`

Definition at line 66 of file CglMixedIntegerRounding.hpp.

References var_.

void CglMixIntRoundVUB::setVal | ( | const double | v | ) | `[inline]`

Definition at line 67 of file CglMixedIntegerRounding.hpp.

References val_.

## Member Data Documentation

int CglMixIntRoundVUB::var_`[protected]`

Definition at line 38 of file CglMixedIntegerRounding.hpp.

Referenced by CglMixIntRoundVUB(), getVar(), operator=(), and setVar().

double CglMixIntRoundVUB::val_`[protected]`

Definition at line 39 of file CglMixedIntegerRounding.hpp.

Referenced by CglMixIntRoundVUB(), getVal(), operator=(), and setVal().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Cgl/src/CglMixedIntegerRounding/CglMixedIntegerRounding.hpp